html {
    height: 100%;
    overflow: hidden;
}

body {
    background: linear-gradient(to bottom right, #3f0000 0%,#580000 44%,#3f0000 100%);
    height: 100%;
    overflow-y: scroll;
}

body::-webkit-scrollbar{
    display: none;
}

.menu-container {
    width: 100%;
}

.menu-item {
    font-size: 1.1rem; 
    padding: 0 2rem;
    font-family: Cinzel;
    line-height: 34px;
    font-weight: bold;
}

.discord{
    display: block;
    height: 45px;
    width: 150px;
    text-align: center;
    background: #7289DA;
    border-radius: 4px;
}

.discord * {
    vertical-align: middle;
}

.discord i{
    font-size: 40px;
    color: white;
    padding: 0 10px;
}

.discord img {
    height: 40px;
    padding-right: .1rem;
}

.discord span {
    color: white;
}

.discord a {
    padding-left: 10px;
    color: white !important;
}

a.active {
    color: #a50000 !important;
}

.coverbackground {
    background-size: cover;
}

.trailerhead {
    width: 100%;
    height: 1000px;
    background-image: url('../../img/homepage/BannerNoAlpha-min.jpg');
    line-height: 1000px;
    text-align: center;
}

.gameplayhead {
    width: 100%;
    height: 1000px;
    background-image: url('../../img/homepage/Tiles-min.jpg');
    background-size: contain;
    text-align: center;
}

.svshead {
    width: 100%;
    height: 1000px;
    background-image: url('../../img/homepage/Overview-dark-min.jpg');
}

.bfghead {
    width: 100%;
    height: 1000px;
    background-image: url('../../img/homepage/StatueArena-min.jpg');
    background-position: right;
}

.charactershead {
    width: 100%;
    height: 1200px;
    background-position: center;
    position: relative;
    background-image: url('../../img/homepage/character-empty-min.jpg');
}

.footerhead {
    padding: 2%;
    width: 100%;
    height: 300px;
    background: black;
    text-align: center;
}

.footerlogoscontainer {
    width: 100%;
    height: 80%;
    text-align: center;
}

.footerlogoscontainer img {
    height: 100%;
}

.footersocialmediacontainer {
    height: 20%;
    width: 100%;
    text-align: center;
}

.footersocialmediacontainer i:hover{
    color: #580000;
    font-size: 3rem;
    margin-left: 50px;
}

.footersocialmediacontainer i {
    color: white;
    font-size: 3rem;
    margin-left: 50px;
}

.card-lg {
    opacity: .8;
    display: inline-block;
    width: 20%;
    margin-top: 50px;
    height: 600px;
}

.card-left {
    margin-left: 5%;
    margin-right: 1%;
}

.card-middle {
    margin-left: 1%;
    margin-right: 1%;
}

.card-right {
    margin-left: 1%;
    margin-right: 5%;
}

.card-head {
    display: table;
    width: 100%;
    height: 25%;
    background: linear-gradient(to bottom right, #3f0000 0%,#580000 44%,#3f0000 100%);
}

.card-img {
    display: table-cell;
    vertical-align: middle;
    text-align: center;
    width: 25%;
}

.card-title {
    font-family: Cinzel;
    display: table-cell;
    vertical-align: middle;
    padding-left: 2%;
    color: #fffad4;
    text-align: left;
}

.card-description{
    width: 100%;
    height: 29%;
    background: #1e1e1e;
    display: table;
    position: relative;
    text-align: left;
}

.card-description-body {
    font-family: Cinzel;
    font-size: 1.1rem;
    padding: 5%;
    color: #fffad4;
    position: absolute;
    top: 0;
}

.card-description-link {
    position: absolute;
    width: 100%;
    bottom: 0;
}

.card-description-link a {
    display: block;
    background: linear-gradient(to bottom right, #3f0000 0%,#580000 44%,#3f0000 100%);
    margin: 5px 5%;
    height: 50px;
    color: #fffad4;
    line-height: 50px;
    font-family: Cinzel;
    font-size: 1.1rem;
    text-transform: uppercase;
    text-align: center;
}

.card-example {
    width: 100%;
    height: 40%;
    background: #1e1e1e;
    display: table;
}

h1 {
    font-family: Cinzel;
    font-size: 5rem;
    color: #fffad4;
    text-align: center;
    padding-top: 3%;
    text-transform: uppercase;
}

.charactershead h1 {
    position: relative;
    z-index: 2;
}

h2 {
    font-size: 1.9rem;
    color: #fffad4;
    font-family: Cinzel;
}

h3 {
    font-weight: bold;
    font-size: 1.2rem;
    color: #fffad4;
    font-family: Cinzel;
}

.character-portraits {
    text-align: center;
    position: relative;
    z-index: 2;
}

.character-portraits button{
    margin: 0 10px;
    height: 200px;
    width: 100px;
    background: url('../../img/homepage/flag-rect-pressed-min.jpg');
    border: none;
    outline: none;
}

.character-portraits button:active, .character-portraits button:hover, .character-portraits button:disabled {
    background: url('../../img/homepage/flag-rect-min.jpg');
}

.characterscontainer {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    position: absolute;
    background-position: center;
}

.character-1 {
    background-image: url('../../img/homepage/character-murmillo-min.jpg');
}

.character-2 {
    background-image: url('../../img/homepage/character-hoplo-min.jpg');
}

.character-3 {
    background-image: url('../../img/homepage/character-archer-min.jpg');
}

.gamemode-description {
    display: inline-block;
    width: 35%;
    max-height: 500px;
    margin-left: 15%;
    margin-top: 250px;
    font-family: Cinzel;
    font-size: 1.3rem;
    color: #fffad4;
    font-weight: bold;
}

/* News */
.newsitem {

}

.newsitem .title * {
    text-align: center;
    font-family: Cinzel;
    color: #fffad4;
    padding-top: 0;
    text-transform: none;
}

.newsitem .title h1 {
    font-size: 1.5rem;
}

.newsitem .title h2 {
    font-size: .8rem;
    font-style: italic;
}

.newsitem .body {
    padding: 0 30%;
    font-family: Montserrat;
    font-size: 1.1rem;
    color: #fffad4;
    white-space: pre-line;
}

.newsitem .footer {
    min-height: 300px;
    text-align: center;
    margin-top: 10px;
    padding: 0 30%;
}

.footer img {
    max-height: 300px;
    max-width: 100%;
    margin: 2px;
}

hr.newsitem {
    background-color: wheat;
    margin-left: 25%;
    margin-right: 25%;
}

/* Maps */
.slidercontainer {
    height: 600px;
    margin: 0 20%;
    position: relative;
    overflow-x: hidden;
    border-style: solid;
    border-width: 2px;
    border-color: wheat;
}

.slidercontainer img, .slidercontainer video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
}

.navigationcontainer {
    height: 50px;
    max-width: 100%;
    margin: 0px 20% 20px 20%;
    text-align: center;
}

.navigationcontainer button {
    height: 30px;
    width: 30px;
    margin: 10px 0;
    background: black;
    border: 2px solid wheat;
    color: #580000;
    border-radius: 10px;
    text-align: center;
    padding: 0;
    font-weight: bold;
}

.navigationcontainer button:hover, .navigationcontainer button:disabled{
    color: #a50000;
    font-weight: bolder;
    cursor: pointer;
    background: wheat;
}

.navigationcontainer button:focus {
    outline: none;
}

.navigationcontainer button.non-numerical:disabled{
    color: #580000;
    font-weight: normal;
    background: wheat;
}

/* Characters */
.character-container {
    width: 100%;
    margin-top: 66px;
}

.character-top {
    overflow: auto;
    padding-bottom: 20px;
}

.character-sheet {
    float: left;
    width: 25%;
    margin-left: 25%;
    margin-top: 20px;
}

.character-images {
    float: right;
    width: 25%;
    margin-right: 25%;
    height: 510px;
    text-align: center;
    border: 2px solid #fffad4;
    background: linear-gradient(to bottom right, #5C5E5E 0%,#676969 44%,#5C5E5E 100%);
    margin-top: 20px;
    background-size: cover;
    background-position: top;
}

.character-images img {
    padding-top: 5%;
    max-height: 100%;
    max-width: 100%;
}

.character-quote, .character-info, .character-weapons, .character-details {
    width: 100%;
    padding: 0 1%;
}


.character-quote span {
    font-family: Montserrat;
    color: #fffad4;
    font-style: italic;
    display: block;
    padding: 0 5%;
}

.character-info {
    position: relative;
    margin-top: 20px;
}

.character-info span {
    font-family: Montserrat;
    color: #fffad4;
    white-space: pre-line;
}

.character-details {
    margin-top: 20px;
}

.character-specs {
    display: table;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
    border-spacing: 20px 0;
}

.character-specs span{
    display: table-cell;
    color: #fffad4;
    font-size: 2rem;
}

.character-specs img {
    height: 40px;
}

.character-weapons {
    display: none;
    border-top: none;
    text-align: center;
}

.character-weapons button{
    width: 60px;
    height: 60px;
    margin-right: 5px;
    overflow: hidden;
    margin: 5px 5px;
}

/* Gameplay */
.gameplay-container {
    margin-top: 66px;
}

.category-container {
    width: 100%;
    overflow: auto;
    text-align: center;
}

.category-info {
    display: inline-block;
    width: 15%;
    height: 400px;
    padding-top: 20px;
    margin-right: 10px;
    vertical-align: top;
}

.category-preview {
    display: inline-block;
    width: 33%;
    max-width: 600px;
    height: 400px;
    margin-left: 10px;
    vertical-align: top;
}

.category-video {
    height: 350px;
    text-align: center;
    border-width: 2px;
    border-style: solid;
    border-color: #fffad4;
    overflow: hidden;
    margin: 20px 1%;
    position: relative;
}

.category-video video {
    height: 100%;
    width: 100%;
    object-fit: cover;
    position: absolute;
    left: 0;
}

.category-info {
    text-align: left;
}

.category-bullets li {
    text-decoration: none;
    color: #fffad4;
    font-family: Montserrat;
    font-size: 1.3rem;
}

.category-bullets li:hover, .category-bullets li:focus {
    color: #780000;
    cursor: pointer;
    font-weight: bold;
}

/* Login */
.login-modal {
    overflow-y: scroll;
}

.login-modal::-webkit-scrollbar{
    display: none;
}

.login-content {
    background: linear-gradient(to bottom right, #3f0000 0%,#580000 44%,#3f0000 100%);
}

.login-header {
    display: block;
    border: none;
}

.login-header h4, .login-header button {
    color: #fffad4;
    font-family: Cinzel;
}

.login-body {
    overflow-y: auto;
}

.login-body label, .login-body a, .login-body button{
    font-family: Cinzel;
    color: #fffad4 !important;
}

.login-body button {
    background-color: #780000;
    border-radius: 10px;
    border-width: 1px;
    border-color: #780000;
    font-size: 1.1rem;
    outline: none;
}


.login-body a:hover {
    cursor: pointer;
    color: black !important;
    text-decoration: underline !important;
}

.login-body button.active {
    background-color: #000;
    color: #580000;
    border: 1px solid #000;
}

.login-footer {
    border: none;
}

.login-footer input {
    width: 100%;
    background: #780000;
    color: #fffad4;
    font-family: Cinzel;
    font-weight: bold;
    border: none;
}

.login-footer input:hover, .login-footer input:focus {
    background: #fffad4 !important;
    color: #580000 !important;
    border: none !important;
    box-shadow: none !important;
}

.login-footer input:active {
    box-shadow: none !important;
    color: #580000 !important;
    background: #fffef7 !important;
    border: none !important;
}

.login-footer div.btn-loading {
    cursor: default !important;
    background: #780000 !important;
    box-shadow: none !important;
    border: none !important;
    width: 100%;
}

.error {
    color: #fffadf;
    background-color: #780000;
    border-color: #780000;
    text-align: center;
    font-family: Cinzel;
    font-weight: bold;
}

.dropdown-menu {
    background: #580000;
}

.dropdown-item {
    font-family: Cinzel;
    color: #fffad4;
}

.dropdown-item:hover, .dropdown-item:active, .dropdown-item:focus {
    background: #fffad4;
    color: #580000;
    font-weight: bold;
}


/* Responsiveness */
@media screen and (max-width: 1024px) {
    .card-lg {
        display: table;
        width: 90%;
        height: 20%;
        margin-top: 10px;
    }

    .card-head{
        display: table-cell;
        width: 30%;
        vertical-align: middle;
    }

    .card-description{
        display: table-cell;
        width: 24%;
        vertical-align: middle;
    }

    .card-example {
        display: table-cell;
        width: 34%;
        vertical-align: middle;
    }

    .card-middle, .card-right{
        margin-left: 5%;
    }

    @media screen and (max-width: 425px){
        .newsitem .body, .newsitem .footer {
            padding: 0 5%;
        }

        hr.newsitem {
            margin-left: 5%;
            margin-right: 5%;
        }
    }
}

@media screen and (max-width: 1490px) {
    .character-specs{
        display: block;
        border-spacing: 0;
        text-align: left;
    }
}

@media screen and (max-width: 1790px) {
    .character-images{
        
    }
}

@media screen and (min-width: 1920px) {
    .card-example {
        height: 60%;
    }
}

@media screen and (min-width: 1200px) {
    .menu-item-right {
        margin-left: auto;
    }
}

@media screen and (min-width: 1025px) and (max-width: 1439px) {
    .card-head .card-img {
        display: none;
    }
    
    .card-title {
        text-align: center;
    }
}